usb_free_urb
Prev | Chapter 5. USB Core APIs | Next

## Name

usb_free_urb — frees the memory used by a urb when all users of it are finished

## Synopsis

`void usb_free_urb (` | struct urb * | urb`)`;

## Arguments

`urb`

  pointer to the urb to free, may be NULL

## Description

Must be called when a user of a urb is finished with it. When the last user of the urb calls this function, the memory of the urb is freed.

## Note

The transfer buffer associated with the urb is not freed, that must be done elsewhere.

Prev | Up | Next
usb_alloc_urb | Home | usb_get_urb